#************************ makefile for cmd\format *************************

msg	=..\..\messages
dos	=..\..\dos
inc	=..\..\inc
hinc	=..\..\h
boot	=..\..\msboot

#
#######################	dependencies begin here. #########################
#

all: format.com

display.obj:    display.nas forequ.mac formsg.mac formacro.mac \
                format.ctl format.cl1 format.cl2 format.cla $(inc)\sysmsg.mac \
                $(inc)\msgserv.nas \
                format.clb format.clc formacro.mac

forexec.obj:    forexec.nas forequ.mac $(inc)\syscall.mac \
                formacro.mac

forlabel.obj:   forlabel.nas forequ.mac formacro.mac \
                $(inc)\syscall.mac $(inc)\ioctl.mac $(inc)\dosmac.mac \
                forswtch.mac

format.obj:     format.nas $(inc)\dosmac.mac $(inc)\bpb.mac \
                $(inc)\dirent.mac $(inc)\dpb.mac $(inc)\curdir.mac \
                $(inc)\cpmfcb.mac $(inc)\pdb.mac \
                $(inc)\error.mac $(inc)\syscall.mac $(inc)\ioctl.mac \
                forequ.mac formacro.mac forswtch.mac

forinit.obj:    forinit.nas forequ.mac formacro.mac \
                $(inc)\syscall.mac $(inc)\ioctl.mac forparse.mac \
                forswtch.mac parse.nas $(inc)\psdata.mac

msfor.obj:      msfor.nas $(inc)\dosmac.mac $(inc)\syscall.mac $(inc)\bpb.mac \
                $(inc)\dirent.mac boot.cl1 $(inc)\ioctl.mac \
                $(inc)\boot.mac $(inc)\boot11.mac \
                $(inc)\bootform.mac filesize.mac forequ.mac formacro.mac forswtch.mac

forproc.obj:    forproc.nas $(inc)\syscall.mac forequ.mac \
                formacro.mac forswtch.mac


format.com:     format.obj forproc.obj msfor.obj forexec.obj display.obj \
                forinit.obj forlabel.obj
        warplink @formatw.lnk
        convert format.exe
